Package org.apache.cxf.bus.osgi

# Class ManagedWorkQueueList

java.lang.Object
org.apache.cxf.bus.osgi.ManagedWorkQueueList

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `org.osgi.service.cm.ManagedServiceFactory`

public class ManagedWorkQueueList extends Object implements org.osgi.service.cm.ManagedServiceFactory, PropertyChangeListener
List of work queues that can be managed using the OSGi configuration admin service

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FACTORY_PID`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManagedWorkQueueList()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAllToWorkQueueManager(WorkQueueManager manager)`
  `void`
  `deleted(String pid)`
  `String`
  `getName()`
  `void`
  `propertyChange(PropertyChangeEvent evt)`
  `void`
  `setConfigAdminTracker(org.osgi.util.tracker.ServiceTracker<org.osgi.service.cm.ConfigurationAdmin,org.osgi.service.cm.ConfigurationAdmin> configAdminTracker)`
  `void`
  `shutDown()`
  `void`
  `updated(String pid, Dictionary<String,?> props)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FACTORY_PID

    public static final String FACTORY_PID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ManagedWorkQueueList

    public ManagedWorkQueueList()

- ## Method Details

  - ### getName

    public String getName()
    Specified by:
      `getName` in interface `org.osgi.service.cm.ManagedServiceFactory`

  - ### updated

    public void updated(String pid, Dictionary<String,?> props) throws org.osgi.service.cm.ConfigurationException
    Specified by:
      `updated` in interface `org.osgi.service.cm.ManagedServiceFactory`
    Throws:
      `org.osgi.service.cm.ConfigurationException`

  - ### deleted

    public void deleted(String pid)
    Specified by:
      `deleted` in interface `org.osgi.service.cm.ManagedServiceFactory`

  - ### propertyChange

    public void propertyChange(PropertyChangeEvent evt)
    Specified by:
      `propertyChange` in interface `PropertyChangeListener`

  - ### addAllToWorkQueueManager

    public void addAllToWorkQueueManager(WorkQueueManager manager)

  - ### setConfigAdminTracker

    public void setConfigAdminTracker(org.osgi.util.tracker.ServiceTracker<org.osgi.service.cm.ConfigurationAdmin,org.osgi.service.cm.ConfigurationAdmin> configAdminTracker)

  - ### shutDown

    public void shutDown()